<?php
/*
 * configs_controller.php created on Jul 5, 2006
 *
 * @copyright Dr. Tarique Sani, tarique@sanisoft.com
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License V2
 * @package cheeseCake
 * @version $id$
 */
 class ConfigsController extends AppController
{
    var $name = 'Configs';
    var $helpers = array('Html','Javascript','Cheese','Pagination');

    var $rdAccess = array('add' => array('Admin'),
                          'edit' => array('Admin'),
                          'delete'=> array('Admin'),
                          'index'=> array('Admin')
                         );

    function index(){

    	$this->pageTitle = $this->siteName.' - Edit Settings';
    	if (empty($this->params['data'])){
    		$configData = $this->Config->find();
			$this->data = $configData;
		}else{
			if($this->Config->save($this->params['data'])){
				$this->Session->setFlash('Changes to settings were saved successfully');
			}
		}
    }

}
?>