<?php
class UsersController extends AppController {
        var $name = 'Users';
        var $helpers = array('Html','Javascript');
        var $Sanitize = '';
        var $rdAccess = array('edit' => array('Admin')
                        );

    function login()
	{

		$this->pageTitle = $this->siteName.' - Login';
		//Redirect to '/'  if user is logged in
		if($this->rdSimpleAuth->valid)
		{
			$this->redirect('/');
		}
		//RENDER LOGIN FORM AND THEN HANDLE POST
		if (empty($this->data)){
			$this->render('login');
		}
		else
		{
			$this->Sanitize = new Sanitize;
			$this->Sanitize->cleanArray($this->data);
			if ($this->User->validates($this->data))
			{
				$this->data['User']['username'] = $this->Sanitize->paranoid($this->data['User']['username'],array('.','_','-'));
				$this->data['User']['password'] = $this->data['User']['password'];

				$this->data = $this->User->find(array('User.username'=>$this->data['User']['username'], 'User.password'=>$this->data['User']['password']));

				if (is_numeric($this->data['User']['id']))
				{
					//sets up the session vars
					$this->rdSimpleAuth->set($this->data['User']);
					$this->redirect( $this->Session->read('rdAuth.redirect') );
				}
				else
				{
					$this->data['User']['password'] = '';
					$this->set('message', 'Invalid login/password');
				}
			}
			else
			{
				$this->data['User']['password'] = '';
				$this->set('message', 'Invalid login/password');
				$this->validateErrors($this->User);
			}
		}
	}

	function logout()
	{
	    $this->rdSimpleAuth->logout();
            $this->Session->setFlash('Your have successfully logged out');
            $this->redirect("/");

	}

	function edit()
	{
	if (empty($this->data))
            {
                $this->User->id = $this->rdSimpleAuth->id;
                $this->data = $this->User->read();
                $this->pageTitle = $this->siteName.' - Edit Profile';

            }
            else
            {
                if ($this->User->save($this->data))
                {
                    $this->set('message','Your profile has been updated successfully');
                }
            }

	}

	function add(){
	}
}
?>